%define _initddir /etc/init.d
%define _crondir /etc/cron.d
%define _lockdir /vz/lock 
%define _libdir /usr/lib/vzctl
%define _configdir /etc/sysconfig
%define _scriptdir %{_configdir}/vz-scripts
%define _netdir	/etc/sysconfig/network-scripts
%define _logrdir /etc/logrotate.d
%define _distconfdir %{_scriptdir}/dists
%define _distscriptdir %{_distconfdir}/scripts
# rh macros defines _mandir incrorrectly
%define _mandir %{_datadir}/man

Summary: Virtual Private Server control utility
Name: vzctl
Version: 2.7.0
Release: 20
License: QPL
Group: System Environment/Kernel
Source: vzctl-%{version}-%{release}.tar.bz2
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: vzkernel-headers >= 2.6.8-022stab028
Requires: vzkernel >= 2.6.8-022stab028
# these reqs are for vz helper scripts
Requires: bash
Requires: gawk
Requires: sed
Requires: ed
Requires: grep
Requires: /sbin/chkconfig
Requires: vzquota >= 2.7.0-4
Requires: fileutils
Requires: iptables
Requires: vzctl-lib = %{version}-%{release}
Requires: tar

%description
This utility allows system administator to control VPS,
e.g. create, start, shutdown, set various options and limits etc.

%prep
%setup -n %{name}-%{version}-%{release}
%build
%ifarch ia64
export LDFLAGS="/lib/libia64_syscall.a"
export ARCH=ia64
echo -e ",s/^DEF_OSTEMPLATE=.*/DEF_OSTEMPLATE=\"redhat-as21-ia64\"\nwq\n" | ed -s etc/vz
%else
export ARCH=i386
%endif
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%ifarch ia64
export LDFLAGS="-lia64_syscall"
export ARCH=ia64
%else
export ARCH=i386
%endif
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

cd $RPM_BUILD_ROOT/%{_scriptdir}
ln -sf ./ve-vps.basic.conf-sample ./ve-unlimited.conf-sample

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{_initddir}/vz
%attr(755,root,root) %{_crondir}/vpsreboot
%attr(755,root,root) %{_crondir}/vpsnetclean
%attr(755,root,root) %{_lockdir}
%attr(755,root,root) /vz/template/cache
%attr(755,root,root) %{_scriptdir}/vps-create
%attr(755,root,root) %{_scriptdir}/vps-postcreate
%attr(755,root,root) %{_sbindir}/vzctl
%attr(755,root,root) %{_sbindir}/arpsend
%attr(755,root,root) %{_sbindir}/vzsplit
%attr(755,root,root) %{_sbindir}/vzlist
%attr(755,root,root) %{_sbindir}/vzmemcheck
%attr(755,root,root) %{_sbindir}/vzcpucheck
%attr(755,root,root) %{_sbindir}/vzcalc
%attr(755,root,root) %{_sbindir}/vzpid
%attr(755,root,root) %{_sbindir}/vzcfgvalidate
%attr(755,root,root) %{_scriptdir}/vpsreboot
%attr(755,root,root) %{_scriptdir}/vpsnetclean
%attr(644,root,root) %{_logrdir}/vzctl
%attr(644,root,root) %{_scriptdir}/ve-vps.basic.conf-sample
%attr(644,root,root) %{_scriptdir}/ve-light.conf-sample
%attr(644,root,root) %{_distconfdir}/distribution.conf-template
%attr(644,root,root) %{_distconfdir}/default
%attr(755,root,root) %{_distscriptdir}/*.sh
%attr(644,root,root) %{_distscriptdir}/functions
%attr(755,root,root) %{_netdir}/ifup-venet
%attr(755,root,root) %{_netdir}/ifdown-venet
%attr(644,root,root) %{_netdir}/ifcfg-venet0
%attr(644, root, root) %{_mandir}/man8/vzctl.8.*
%attr(644, root, root) %{_mandir}/man8/arpsend.8.*
%attr(644, root, root) %{_mandir}/man8/vzsplit.8.*
%attr(644, root, root) %{_mandir}/man8/vzcfgvalidate.8.*
%attr(644, root, root) %{_mandir}/man8/vzmemcheck.8.*
%attr(644, root, root) %{_mandir}/man8/vzcalc.8.*
%attr(644, root, root) %{_mandir}/man8/vzpid.8.*
%attr(644, root, root) %{_mandir}/man8/vzcpucheck.8.*
#%attr(644, root, root) %{_mandir}/man8/vzcheckovr.8.*
%attr(644, root, root) %{_mandir}/man8/vzlist.8.*
%attr(644, root, root) %{_mandir}/man5/vps.conf.5.*
%attr(644, root, root) %{_mandir}/man5/vz.5.*

%config(noreplace) %{_configdir}/vz
%config(noreplace) %{_distconfdir}/*.conf

%post
/bin/rm -rf /dev/vzctl
/bin/mknod /dev/vzctl c 126 0
if [ -f %{_configdir}/vz ]; then
	if ! grep "IPTABLES=" %{_configdir}/vz >/dev/null 2>&1; then
		echo 'IPTABLES="ipt_REJECT ipt_tos ipt_limit ipt_multiport iptable_filter iptable_mangle ipt_TCPMSS ipt_tcpmss ipt_ttl ipt_length"' >> %{_configdir}/vz
	fi
fi
/sbin/chkconfig --add vz

%preun
if [ $1 = 0 ]; then 
	rm -f  /etc/profile.d/vz.sh
	/sbin/chkconfig --del vz
	rm -f %{_scriptdir}/ve-unlimited.conf-sample >/dev/null 2>&1
fi

%package lib
Summary: Virtual Environment library
Group: System Environment/Kernel
Provides: libvzctl-fs.so

%description lib
Virtual Environment library

%files lib
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/lib
%attr(755,root,root) %{_libdir}/lib/libvzctl.so.*
%attr(755,root,root) %{_libdir}/lib/libvzctl-simfs.so.0.0.1
%attr(755,root,root) %{_libdir}/scripts/vps-stop
%attr(755,root,root) %{_libdir}/scripts/vps-functions
%attr(755,root,root) %{_libdir}/scripts/vps-net_add
%attr(755,root,root) %{_libdir}/scripts/vps-net_del

%changelog
